# Welcome to Auth ini File.
# Leading # makes line a comment
# Main LDAP connection Information
ldap_host localhost
ldap_port 389

ldap_mgr_dn cn=manager,dc=netwin,dc=co,dc=nz
ldap_mgr_pw secret


# pop_domain host.com

# LDAP Main Fields
ldap_search_base dc=netwin,dc=co,dc=nz
ldap_scope LDAP_SCOPE_ONELEVEL
# ldap_scope LDAP_SCOPE_SUBTREE

# ****** SurgeLDAP v1.0j+ use 'netwinperson' ****
ldap_objectclass surgemailperson
# ldap_objectclass person
# ldap_objectclass netwinperson 
# ldap_search_name mail
# ldap_extend_search (AnyAttribute==AnyValue)
# ldap_extend_lookup (AnyAttribute==AnyValue)
# field_password UserPassword

# LDAP Optional Fields
# --------------------

# ldap_extend_search (usertype=student)

# SurgeMail/DMail and NetAuth Settings
# ------------------------------------
# layout: info_fields surgemail_field ldap_field 
# info_fields created created
info_fields fwd fwd
info_fields quota quota


# SurgeMail Only Settings
# ------------------------------------
# If surgemail is setup as a proxy you need this setting
# info_fields tohost tohost
# info_fields allow allow

# info_fields mailaccess mailaccess
# info_fields mailstatus mailstatus
# info_fields full_name givenName
# info_fields phone homePhone
# info_fields smsto smsto
# info_fields user_access user_access

# info_fields alias_quota alias_quota
# info_fields list_quota list_quota
# info_fields user_access user_access
# info_fields send_limit send_limit

# info_fields spf_block spf_block
# info_fields disabled disabled

# info_fields realuser realuser
# info_fields friends friends
# info_fields enotify enotify
# info_fields ddpriv ddpriv
# info_fields ddfrom ddfrom


# SurgeMail and NetAuth Settings
# ------------------------------
# info_fields pass_question pass_question
# info_fields pass_answer pass_answer

# SurgeMail/DMail and DNews Settings
# ----------------------------------
# info_fields groups groups

# SurgeFTP Settings
# -----------------
# info_fields ftphome ftphome
# info_fields ftpquota ftpquota
# info_fields ftpfromip ftpfromip
# info_fields ftpgid ftpgid
# info_fields ftpuid ftpuid
# info_fields accountstatus accountstatus

# LDAP MUST HAVE fields
must_set_fields sn name
must_set_fields cn name

# NWAuth Password Method (defaults to plain text)
# unix_password true
# use_crypt_on_set true
# plain_password true
# sha_hash true
# ssha_hash true

